Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoVariableParetoTraits Class Reference

eoVariableParetoTraits : an eoParetoFitnessTraits whose characteristics can be set at run-time (nb objectives and min/max's) Why bother? For didactical purposes (and EASEA implementation :-) More...

`#include <eoParetoFitness.h>`

Inheritance diagram for eoVariableParetoTraits:

List of all members.

## Static Public Member Functions
void | setUp (unsigned _n, std::vector< bool > &_b)
| setting the static stuff
unsigned | nObjectives ()
| the accessors
bool | maximizing (unsigned _i)
## Static Private Attributes
unsigned | nObj
std::vector< bool > | bObj

## Detailed Description

eoVariableParetoTraits : an eoParetoFitnessTraits whose characteristics can be set at run-time (nb objectives and min/max's) Why bother? For didactical purposes (and EASEA implementation :-)

Definition at line 56 of file eoParetoFitness.h.

The documentation for this class was generated from the following files:

- eoParetoFitness.h
- eoParetoFitness.cpp